.. SPDX-License-Identifier: CC-BY-SA-4.0
.. include:: macros.rst
.. _Contributing:

Contributor's guide
*******************

Any contributions are to be made under the `Creative Commons
Attribution 4.0 International License <https://spdx.org/licenses/CC-BY-4.0.html>`_
and all accepted contributions must have the same license.

Developer Certificate of Origin (DCO)
=====================================

Before the SOAFEE project accepts your contribution, you need to certify its
origin and give us your permission. To manage this process we use a `Developer
Certificate of Origin (DCO) V1.1 <https://developercertificate.org/>`_.

To indicate that you agree to the the terms of the DCO, you "sign off" your
contribution by adding a line with your name and e-mail address to every git
commit message:

.. code:: bash

    Signed-off-by: John Doe <john.doe@example.org>

You must use your real name, no pseudonyms or anonymous contributions are
accepted.

Releases
========

Official SOAFEE releases are published through the official SOAFEE GitLab
repository.

Development repository
======================

The SOAFEE development repository for the Automotive Virtual Platform Specification is hosted at `https://gitlab.com/soafee/hypervisor-wg/avps <https://gitlab.com/soafee/hypervisor-wg/avps>`_.
Contributions are handled via pull requests and require an accpetance by the maintainers. Each contribution is highly
welcome.

Communications
==============

We encourage developers who are interested in SOAFEE to communicate through the
gitlab instance provided, or other community agreed mechanisms.  Details of
community resources available can be found at https://soafee.io/community/join
